WellbyteWellbyte

POST /v1/tiktok/ads/get_query_suggestions

Get query suggestions

stable · 2 credits per success

Get popular query suggestions for ad search;Understand current popular ad search keywords and trends;Help discover new creative directions and hot topics;query: Leave empty for popular suggestions in scenario 1; provide a keyword for related suggestions in scenario 2;count: Number of suggestions to return, default 50;scenario: Scenario type: 1 for popular suggestions, 2 for related suggestions;co…

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl -s -X POST 'https://api.wellbyte.net/v1/tiktok/ads/get_query_suggestions' \
  -H "Authorization: Bearer dg_live_…" \
  -H "Content-Type: application/json" \
  -d '{"count":20,"query":"demo","cookie":"demo","scenario":null,"country_code":"demo"}'

Response

Sample captured 2026-08-27

data{
code:0
data{
query[ 0 items ]
}
meta{
endpoint:"tiktok.ads.get_query_suggestions"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    countintegerbodyno建议数量20
    querystringbodyno场景1留空返回热门建议;场景2传入关键词demo
    cookiestringbodyno自定义Cookie字符串(可选)demo
    scenariointegerbodyno场景类型:1热门建议,2关键词联想demo
    country_codestringbodyno可选国家demo

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 2 credits. Any failure — including a 200 from upstream that fails the quality gate — costs 0.

    Search

    Search endpoints and docs